Patch end user

PATCH
/beta/endusers/{userId}

Patch an end user.

Authorization

ApiKeyAuth organization.member
headerAuthorization<token>

Scope: organization.member

Path Parameters

userId*string

The end user id to be patched

Formatuuid

Request Body

The end user patch

application/json
  1. body
displayName?string
email?string
phoneNumber?string
additionalEmails?array<string>
additionalPhoneNumbers?array<string>
firstName?string
lastName?string
middleNames?array<string>
avatarUrl?string
externalId?string

Response Body

The patched end user

application/json
  1. response
data*
Example Request
curl -X PATCH 'https://dev.dixa.io/beta/endusers/{userId}' \  -H 'Authorization: <API token>' \  -H 'Content-Type: application/json' \  -d '{  "displayName": "Alice Brown",  "email": "alice@brown.com",  "phoneNumber": "+551155256325",  "additionalEmails": [    "alice@secondary.email"  ],  "additionalPhoneNumbers": [    "+5566778899"  ],  "firstName": "Alice",  "lastName": "Brown",  "middleNames": [],  "avatarUrl": "http://avatar.url",  "externalId": "#12345678"}'
{
"data": {
"id": "434ce9f5-14c8-4be1-a0a8-f755010deb9b",
"createdAt": "2020-12-16T09:41:43Z",
"displayName": "Alice Brown",
"email": "alice@brown.com",
"phoneNumber": "+551155256325",
"additionalEmails": [
"alice@secondary.email"
],
"additionalPhoneNumbers": [
"+5566778899"
],
"firstName": "Alice",
"lastName": "Brown",
"middleNames": [],
"avatarUrl": "https://files.dixa.io/public/image_id",
"externalId": "#12345678",
"customAttributes": [
{
"id": "4baa78bc-4815-4122-9c99-f71cd742d37b",
"name": "My Attribute",
"identifier": "my_attribute",
"value": "My Attribute Value"
}
]
}
}